{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":541,"path":"api-reference/rest-apis/sales_agreement-api.md","title":"Sales Agreement API","bundle":null,"doc_type":null,"release":"australia","body":"\n# Sales Agreement API\n\nThe Sales Agreement API provides methods for creating a new sales agreement and retrieving an existing sales agreement of a given sys\\_id.\n\nThis API works with data in the [Sales Agreement Management](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/order-management/sales-agreement-mgmt.md) application, which managers, agents, and administrators use to generate sales agreements from quotes.\n\nThe Sales Agreement API runs in the sn\\_sales\\_agmt\\_core  namespace and requires three plugins to access it:\n\n-   Sales Agreement Data Model \\(com.sn\\_sales\\_agmt\\_core\\) ,\n-   Product Catalog Management Core \\(com.sn\\_prd\\_pm\\),\n-   Pricing \\(com.sn\\_csm\\_pricing\\)  \n\nThe API also requires the sn\\_sales\\_agmt\\_core.sales\\_agreement\\_integrator  role to access it.\n\nMost data is retrieved from or updated in the following tables upon calling this API and must be populated for its endpoints to work successfully:\n\n-   Account \\[customer\\_account\\],\n-   Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\],\n-   Product Model \\[cmdb\\_model\\],\n-   Quote \\[quote\\],\n-   Quote Line \\[quote\\_line\\],\n-   Price List \\[price\\_list\\]\n-   Account \\[customer\\_account\\]\n-   Price List \\[sn\\_csm\\_pricing\\_price\\_list\\]\n-   Product Model \\[cmdb\\_model\\]\n-   Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n-   Quote \\[sn\\_quote\\_mgmt\\_core\\_quote\\]\n-   Quote Line \\[sn\\_quote\\_mgmt\\_core\\_quote\\_line\\_item\\]\n-   Sales Agreement  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\]\n-   Sales Agreement Line  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\]\n-   Sales Agreement Line Adjustments  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\_adjustment\\]\n-   Sales Agreement Line Characteristics  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\_characteristic\\]\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## Sales Agreement - GET /api/sn\\_sales\\_agmt\\_core/salesagreement/\\{id\\}\n\nRetrieve a sales agreement associated with a given sys\\_id.\n\n### URL format\n\nVersioned URL: `GET /api/sn_sales_agmt_core/v1/salesagreement/{id}`\n\nDefault URL: `GET /api/sn_sales_agmt_core/salesagreement/{id}`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nRequired. Sys\\_id of the sales agreement to retrieve.Table: Sales Agreement  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\]\n\nData type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ndisplay\\_value\n\n</td><td>\n\nOptional. Returns the sales agreement properties in a chosen format.Valid values:\n\n-   all: Response contains the **name**, **label**, **value**, **display\\_value**, and **type** properties for all fields   in the sales agreement. For example:\n\n    ```\n\"state\": {\n  \"display_name\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"  \n}\n    ```\n\n-   false: Response contains just the **value** property for all fields   in the sales agreement. For example:\n\n    ```\n\"state\": {   \n  \"value\": \"draft\" \n}\n    ```\n\n-   true: Response contains just the **display\\_value** property for all fields   in the sales agreement. For example:\n\n    ```\n\"state\": {   \n  \"display_value\": \"Draft\" \n}\n    ```\n\n\nDefault: false\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n|Content-Type|Data format of the request body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|403|Forbidden. The user doesn't have access rights to the specified record.|\n|404|Not found. The requested item wasn't found.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table id=\"id_axq_ryw_c2c\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nResults of the sales agreement with all its associated information.Data type: Object\n\n```\n\"result\": {\n    \"account\": {Object},\n    \"billing_location\": {Object},\n    \"consumer\": {Object},\n    \"contact\": {Object},\n    \"currency\": {Object},\n    \"default_price_list\": {Object},\n    \"ends\": {Object},\n    \"number\": {Object},\n    \"quote\": {Object},\n    \"sales_agreement_lines\": [Array]\n    \"shipping_location\": {Object},\n    \"short_description\": {Object},\n    \"starts\": {Object},\n    \"state\": {Object},\n    \"sys_id\": {Object},\n    \"sys_created_by\": {Object},\n    \"sys_created_on\": {Object},\n    \"sys_updated_by\": {Object},\n    \"sys_updated_on\": {Object}\n}\n```\n\n</td></tr><tr><td>\n\naccount\n\n</td><td>\n\nAccount information associated with the sales agreement.Table: Account \\[customer\\_account\\]\n\nData type: Object\n\n```\n\"account\": {\n \"display_value\": \"String\",\n \"label\": \"String\",\n \"name\": \"String\",\n \"type\": \"String\",\n \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\naccount.display\\_value\n\n</td><td>\n\nDisplay value of the account. Matches **account.value**.Data type: String\n\n</td></tr><tr><td>\n\naccount.label\n\n</td><td>\n\nLabel of the account.Data type: String\n\n</td></tr><tr><td>\n\naccount.name\n\n</td><td>\n\nName of the account.Data type: String\n\n</td></tr><tr><td>\n\naccount.type\n\n</td><td>\n\nType of account. Value is always `reference`.Data type: String\n\n</td></tr><tr><td>\n\naccount.value\n\n</td><td>\n\nSys\\_id of the account.Table: Account \\[customer\\_account\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nbilling\\_location\n\n</td><td>\n\nBilling address of the sales agreement.Updated table: Location \\[cmn\\_location\\]\n\nData type: Object\n\n```\n\"billing_location\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nbilling\\_location.display\\_value\n\n</td><td>\n\nDisplay value of the billing location. Matches **billing\\_location.value**.Data type: String\n\n</td></tr><tr><td>\n\nbilling\\_location.label\n\n</td><td>\n\nLabel of the billing location.Data type: String\n\n</td></tr><tr><td>\n\nbilling\\_location.name\n\n</td><td>\n\nName of the billing location.Data type: String\n\n</td></tr><tr><td>\n\nbilling\\_location.type\n\n</td><td>\n\nType of billing location. Value is always `reference`.Data type: String\n\n</td></tr><tr><td>\n\nbilling\\_location.value\n\n</td><td>\n\nValue of the billing location.Data type: String\n\n</td></tr><tr><td>\n\nconsumer\n\n</td><td>\n\nConsumer details of the sales agreement.Table: Consumer \\[csm\\_consumer\\]\n\nData type: Object\n\n```\n\"consumer\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nconsumer.display\\_value\n\n</td><td>\n\nDisplay value of the consumer. Matches **consumer.value**.Data type: String\n\n</td></tr><tr><td>\n\nconsumer.label\n\n</td><td>\n\nLabel of the consumer.Data type: String\n\n</td></tr><tr><td>\n\nconsumer.name\n\n</td><td>\n\nName of the consumer.Data type: String\n\n</td></tr><tr><td>\n\nconsumer.type\n\n</td><td>\n\nType of consumer. Value is always `reference`.Data type: String\n\n</td></tr><tr><td>\n\nconsumer.value\n\n</td><td>\n\nValue of the consumer.Data type: String\n\n</td></tr><tr><td>\n\ncontact\n\n</td><td>\n\nContact information associated with the sales agreement.Table: Contact \\[customer\\_contact\\]\n\nData type: Object\n\n```\n\"contact\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\ncontact.display\\_value\n\n</td><td>\n\nDisplay value of the contact. Matches **contact.value**.Data type: String\n\n</td></tr><tr><td>\n\ncontact.label\n\n</td><td>\n\nLabel of the contact.Data type: String\n\n</td></tr><tr><td>\n\ncontact.name\n\n</td><td>\n\nName of the contact. Data type: String\n\n</td></tr><tr><td>\n\ncontact.type\n\n</td><td>\n\nType of contact. Value is always `reference`.Data type: String\n\n</td></tr><tr><td>\n\ncontact.value\n\n</td><td>\n\nValue of the contact.Data type: String\n\n</td></tr><tr><td>\n\ncurrency\n\n</td><td>\n\nCurrency code associated with the sales agreement.Table: Currency \\[fx\\_currency\\]\n\nData type: Object\n\n```\n\"currency\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\ncurrency.display\\_value\n\n</td><td>\n\nDisplay value of the currency. Matches **currency.value**. For example, `USD`.Data type: String\n\n</td></tr><tr><td>\n\ncurrency.label\n\n</td><td>\n\nLabel of the currency.Data type: String\n\n</td></tr><tr><td>\n\ncurrency.name\n\n</td><td>\n\nName of the currency.Data type: String\n\n</td></tr><tr><td>\n\ncurrency.type\n\n</td><td>\n\nType of currency. Value is always `reference`.Data type: String\n\n</td></tr><tr><td>\n\ncurrency.value\n\n</td><td>\n\nCountry currency code of the currency. For example, `USD`.Data type: String\n\n</td></tr><tr><td>\n\ndefault\\_price\\_list\n\n</td><td>\n\nDetails about the default price list of the sales agreement.Table: Price List \\[sn\\_csm\\_pricing\\_price\\_list\\]\n\nData type: Object\n\n```\n\"default_price_list\": {\n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\" \n}\n```\n\n</td></tr><tr><td>\n\ndefault\\_price\\_list.display\\_value\n\n</td><td>\n\nDisplay value of the default price list.Data type: String\n\n</td></tr><tr><td>\n\ndefault\\_price\\_list.label\n\n</td><td>\n\nLabel of the default price list.Data type: String\n\n</td></tr><tr><td>\n\ndefault\\_price\\_list.name\n\n</td><td>\n\nName of the default price list.Data type: String\n\n</td></tr><tr><td>\n\ndefault\\_price\\_list.type\n\n</td><td>\n\nType of default price list. Value is always `reference`.Data type: String\n\n</td></tr><tr><td>\n\ndefault\\_price\\_list.value\n\n</td><td>\n\nSys\\_id of the default price list.Data type: String\n\n</td></tr><tr><td>\n\nends\n\n</td><td>\n\nEnd date of the sales agreement.Data type: Object\n\n```\n\"ends\": {\n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\" \n}\n```\n\n</td></tr><tr><td>\n\nends.display\\_value\n\n</td><td>\n\nDisplay value of the end date. Matches **end.value**.Data type: String\n\n</td></tr><tr><td>\n\nends.label\n\n</td><td>\n\nLabel of the end date.Data type: String\n\n</td></tr><tr><td>\n\nends.label\n\n</td><td>\n\nName of the end date.Data type: String\n\n</td></tr><tr><td>\n\nends.type\n\n</td><td>\n\nType of end date. Value is always `glide_date`.Data type: String\n\n</td></tr><tr><td>\n\nends.value\n\n</td><td>\n\nValue of the end date.Format: YYYY-MM-DD\n\nData type: String\n\n</td></tr><tr><td>\n\nnumber\n\n</td><td>\n\nAutomatically generated sales agreement number or the number posted .Table: Sales Agreement  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\]\n\nData type: Object\n\n```\n\"number\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nnumber.display\\_value\n\n</td><td>\n\nDisplay value of the sales agreement number. Matches **number.value**.Data type: String\n\n</td></tr><tr><td>\n\nnumber.label\n\n</td><td>\n\nLabel of the sales agreement number.Data type: String\n\n</td></tr><tr><td>\n\nnumber.name\n\n</td><td>\n\nName of the sales agreement number.Data type: String\n\n</td></tr><tr><td>\n\nnumber.type\n\n</td><td>\n\nType of sales agreement number. Value is always `String`.Data type: String\n\n</td></tr><tr><td>\n\nnumber.value\n\n</td><td>\n\nValue of the sales agreement number. For example, `SA0010106`.Data type: String\n\n</td></tr><tr><td>\n\nquote\n\n</td><td>\n\nInformation about the sales agreement quote.Table: Quote \\[sn\\_quote\\_mgmt\\_core\\_quote\\]\n\nData type: Object\n\n```\n\"quote\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nquote.display\\_value\n\n</td><td>\n\nDisplay value of the quote.Data type: String\n\n</td></tr><tr><td>\n\nquote.label\n\n</td><td>\n\nLabel of the quote.Data type: String\n\n</td></tr><tr><td>\n\nquote.name\n\n</td><td>\n\nName of the quote.Data type: String\n\n</td></tr><tr><td>\n\nquote.type\n\n</td><td>\n\nType of quote. Value is always `reference`.Data type: String\n\n</td></tr><tr><td>\n\nquote.value\n\n</td><td>\n\nSys\\_id of the quote.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines\n\n</td><td>\n\nList of sales agreement lines under the  sales agreement. Table: Sales Agreement Line  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\]\n\nData type: Array of objects\n\n```\nsales_agreement_lines\": [\n  {\n  \"child_sales_agreement_lines\": [Array]\n  \"end_date\": {Object},\n  \"number\": {Object},\n  \"parent_line\": {Object},\n  \"price_list\": {Object},\n  \"product_model\": {Object},\n  \"product_offering\": {Object},\n  \"product_specification\": {Object},\n  \"quantity\": {Object},\n  \"quote_line\": {Object},\n  \"sales_agreement\": {Object},\n  \"sales_agreement_line_characteristics\": [Array],\n  \"sales_agreement_line_adjustments\": [Array],\n  \"shipping_location\": {Object},\n  \"short_description\": {Object},\n  \"start_date\": {Object},\n  \"state\": {Object},\n  \"sys_id\": {Object},\n  \"sys_created_by\": {Object},\n  \"sys_created_on\": {Object},\n  \"sys_updated_by\": {Object},\n  \"sys_updated_on\": {Object},\n  \"top_sales_agreement_line\": {Object},\n  \"total_one_time_price\": {Object},\n  \"total_recurring_price\": {Object},\n  \"unit_net_price\": {Object},\n  \"unit_of_measure\": {Object},\n  }\n]\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments\n\n</td><td>\n\nList of sales agreement line adjustments.Table: Sales Agreement Line Adjustments  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\_adjustment\\]\n\nData type: Array of objects\n\n```\n\"sales_agreement_line_adjustments\": [\n  {\n  \"adjustment_source\": {Object},\n  \"adjustment_type\": {Object},\n  \"adjustment_value\": {Object},\n  \"amount\": {Object},\n  \"applicable_to\": {Object},\n  \"number\": {Object},\n  \"quantity\": {Object},\n  \"sales_agreement\": {Object},\n  \"sales_agreement_line\": {Object},\n  \"short_description\": {Object},\n  \"sys_id\": {Object},\n  \"sys_created_by\": {Object},\n  \"sys_updated_by\": {Object},\n  \"sys_created_on\": {Object},\n  \"sys_updated_on\": {Object},\n  \"total_amount\": {Object}\n  }\n]\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.adjustment\\_source\n\n</td><td>\n\nSource information of the sales agreement line adjustment.Table: Sales Agreement Line Adjustments  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\_adjustment\\]\n\nData type: Object\n\n```\n\"adjustment_source\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.adjustment\\_source.display\\_value\n\n</td><td>\n\nSource display value of the sales agreement line adjustment. Matches **sales agreement line adjustment.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.adjustment\\_source.label\n\n</td><td>\n\nSource label of the sales agreement line adjustment.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.adjustment\\_source.name\n\n</td><td>\n\nSource name of the sales agreement line adjustment.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.adjustment\\_source.type\n\n</td><td>\n\nSource type of sales agreement line adjustment. Value is always `string`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.adjustment\\_source.value\n\n</td><td>\n\nSource value of the sales agreement line adjustment.Possible values:\n\n-   auto\n-   manual\n\nData type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.adjustment\\_type\n\n</td><td>\n\nInformation about the sales agreement line adjustment type.Data type: Object\n\n```\n\"adjustment_type\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.adjustment\\_type.display\\_value\n\n</td><td>\n\nDisplay value of the adjustment type.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.adjustment\\_type.label\n\n</td><td>\n\nLabel of the adjustment type.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.adjustment\\_type.name\n\n</td><td>\n\nName of the adjustment type.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.adjustment\\_type.type\n\n</td><td>\n\nType of adjustment type. Value is always `reference`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.adjustment\\_type.value\n\n</td><td>\n\nSys\\_id of the adjustment type.Table: Sales Agreement Line Adjustments  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\_adjustment\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.adjustment\\_value\n\n</td><td>\n\nInformation about the adjustment value.Table: Sales Agreement Line Adjustments  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\_adjustment\\]\n\nData type: Object\n\n```\n\"adjustment_type\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.agreement\\_line\\_adjustments.adjustment\\_value.display\\_value\n\n</td><td>\n\nDisplay value of the adjustment value. Matches **adjustment\\_value.value**.Data type: Number \\(decimal\\)\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.agreement\\_line\\_adjustments.adjustment\\_value.label\n\n</td><td>\n\nLabel of the adjustment value.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.agreement\\_line\\_adjustments.adjustment\\_value.name\n\n</td><td>\n\nName of the adjustment value.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.agreement\\_line\\_adjustments.adjustment\\_value.type\n\n</td><td>\n\nType of adjustment. Value is always `decimal`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.agreement\\_line\\_adjustments.adjustment\\_value.value\n\n</td><td>\n\nNumber value of the adjustment.Data type: Number \\(decimal\\)\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.amount\n\n</td><td>\n\nInformation about the amount of the sales agreement line adjustment.Table: Sales Agreement Line Adjustments  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\_adjustment\\]\n\nData type: Object\n\n```\n\"amount\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.amount.display\\_value\n\n</td><td>\n\nDisplay value of the adjustment amount. Matches **amount.value**. Automatically includes the dollar sign of the associated currency \\(for example, `$0.00` when **currency** is set to `USD`\\).Data type: Number \\(decimal\\)\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.amount.label\n\n</td><td>\n\nLabel of the adjustment amount.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.amount.name\n\n</td><td>\n\nName of the adjustment amount.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.amount.type\n\n</td><td>\n\nType of the adjustment amount. Value is always `currency`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.amount.value\n\n</td><td>\n\nDollar value of the adjustment amount.Data type: Number\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.applicable\\_to\n\n</td><td>\n\nReference of the entity that the adjustment is applicable to.Table: Sales Agreement Line Adjustments  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\_adjustment\\]\n\nData type: Object\n\n```\n\"applicable_to\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.applicable\\_to.display\\_value\n\n</td><td>\n\nDisplay value of the entity that the adjustment is applicable to. Matches **applicable\\_to.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.applicable\\_to.label\n\n</td><td>\n\nLabel of the entity that the adjustment is applicable to.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.applicable\\_to.name\n\n</td><td>\n\nName of the entity that the adjustment is applicable to.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.applicable\\_to.type\n\n</td><td>\n\nType of the entity that the adjustment is applicable to. Value is always `String`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.applicable\\_to.value\n\n</td><td>\n\nQuantity type that the line adjustment is applicable to.Possible values:\n\n-   LUMPSUM\\_QTY: lipsum quantity\n-   UNIT\\_QTY: unit quantity\n\nData type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.number\n\n</td><td>\n\nAutomatically generated sales agreement line adjustments number or the number posted.Table: Sales Agreement Line Adjustments  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\_adjustment\\]\n\nData type: Object\n\n```\n\"number\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.number.display\\_value\n\n</td><td>\n\nDisplay value of the adjustments number. Matches **number.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.number.label\n\n</td><td>\n\nLabel of the adjustment number.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.number.name\n\n</td><td>\n\nName of the adjustment number.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.number.type\n\n</td><td>\n\nType of the adjustment number. Value is always `string`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.number.value\n\n</td><td>\n\nValue of the adjustment number. For example, `SALA0010004`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.quantity\n\n</td><td>\n\nQuantity of product adjusted on the sales agreement line.Table: Sales Agreement Line Adjustments  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\_adjustment\\]\n\nData type: Object\n\n```\n\"quantity\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.quantity.display\\_value\n\n</td><td>\n\nDisplay value of the adjustment quantity. Matches **quantity.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.quantity.label\n\n</td><td>\n\nLabel of the adjustment quantity.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.quantity.name\n\n</td><td>\n\nName of the adjustment quantity.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.quantity.type\n\n</td><td>\n\nType of the adjustment quantity. Value is always `decimal`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.quantity.value\n\n</td><td>\n\nValue of the adjustment quantity.Data type: Number\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sales\\_agreement\n\n</td><td>\n\nReference to the sales agreement associated with the sales agreement line adjustment.Table: Sales Agreement Line Adjustments  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\_adjustment\\]\n\nData type: Object\n\n```\n\"quantity\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sales\\_agreement.display\\_value\n\n</td><td>\n\nDisplay value of the sales agreement associated with the sales agreement line adjustment. For example, `SA0010106`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sales\\_agreement.label\n\n</td><td>\n\nLabel of the sales agreement associated with the sales agreement line adjustment.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sales\\_agreement.name\n\n</td><td>\n\nName of the sales agreement associated with the sales agreement line adjustment.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sales\\_agreement.type\n\n</td><td>\n\nType of the sales agreement associated with the sales agreement line adjustment. Value is always `reference`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sales\\_agreement.value\n\n</td><td>\n\nSys\\_id of the sales agreement associated with the sales agreement line adjustment.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sales\\_agreement\\_line\n\n</td><td>\n\nReference to sales agreement line associated with the sales agreement line adjustment.Table: Sales Agreement Line Adjustments  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\_adjustment\\]\n\nData type: Object\n\n```\n\"sales_agreement_line\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sales\\_agreement\\_line.display\\_value\n\n</td><td>\n\nNumber of the sales agreement associated with the sales agreement line adjustment. For example, `SAL0010126`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sales\\_agreement\\_line.label\n\n</td><td>\n\nLabel of the sales agreement associated with the sales agreement line adjustment.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sales\\_agreement\\_line.name\n\n</td><td>\n\nName of the sales agreement associated with the sales agreement line adjustment.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sales\\_agreement\\_line.type\n\n</td><td>\n\nType of the sales agreement associated with the sales agreement line adjustment. Value is always `String`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sales\\_agreement\\_line.value\n\n</td><td>\n\nSys\\_id of the sales agreement associated with the sales agreement line adjustment.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.short\\_description\n\n</td><td>\n\nBrief description detailing the sales agreement line adjustment.Table: Sales Agreement Line Adjustments  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\_adjustment\\]\n\nData type: Object\n\n```\n\"short_description\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.short\\_description.display\\_value\n\n</td><td>\n\nDisplay value of the short description detailing the particular line adjustment. Matches **short\\_description.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.short\\_description.label\n\n</td><td>\n\nLabel of the short description detailing the particular line adjustment.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.short\\_description.name\n\n</td><td>\n\nName of the short description detailing the particular line adjustment.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.short\\_description.type\n\n</td><td>\n\nType of the short description detailing the particular line adjustment. Value is always `string`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.short\\_description.value\n\n</td><td>\n\nValue of the short description detailing the particular line adjustment.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_created\\_by\n\n</td><td>\n\nName of the user who created the sales agreement line adjustment.Table: Sales Agreement Line Adjustments  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\_adjustment\\]\n\nData type: Object\n\n```\n\"created_by\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_created\\_by.display\\_value\n\n</td><td>\n\nDisplay value of the user who created the sales agreement line adjustment. Matches **created\\_by.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_created\\_by.label\n\n</td><td>\n\nLabel of the user who created the sales agreement line adjustment.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_created\\_by.name\n\n</td><td>\n\nName of the user who created the sales agreement line adjustment.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_created\\_by.type\n\n</td><td>\n\nType of the user who created the sales agreement line adjustment. Value is always `string`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_created\\_by.value\n\n</td><td>\n\nValue of the user who created the sales agreement line adjustment.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_created\\_on\n\n</td><td>\n\nDate and time of when the sales agreement line adjustment was created.Data type: Object\n\n```\n\"created_on\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_created\\_on.display\\_value\n\n</td><td>\n\nDisplay value of the date and time that the line adjustment was created. Matches **created\\_on.value**.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_created\\_on.label\n\n</td><td>\n\nLabel of the date and time that the line adjustment was created.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_created\\_on.name\n\n</td><td>\n\nName of the date and time that the line adjustment was created.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_created\\_on.type\n\n</td><td>\n\nType of the date and time that the line adjustment was created. Value is always `glide_date_time`.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_created\\_on.value\n\n</td><td>\n\nValue of the date and time that the line adjustment was created.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_id\n\n</td><td>\n\nSys\\_id of the sales agreement line adjustment.Table: Sales Agreement Line Adjustments  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\_adjustment\\]\n\nData type: Object\n\n```\n\"sys_id\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_id.display\\_value\n\n</td><td>\n\nDisplay value of the line adjustment sys\\_id. Matches **sys\\_id.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_id.label\n\n</td><td>\n\nLabel of the line adjustment sys\\_id.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_id.name\n\n</td><td>\n\nName of the line adjustment sys\\_id.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_id.type\n\n</td><td>\n\nType of the line adjustment sys\\_id. Value is always `string`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_id.value\n\n</td><td>\n\nValue of the line adjustment sys\\_id.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_updated\\_by\n\n</td><td>\n\nName of the user who last updated the sales agreement line adjustment.Table: Sales Agreement Line Adjustments  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\_adjustment\\]\n\nData type: Object\n\n```\n\"updated_by\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_updated\\_by.display\\_value\n\n</td><td>\n\nDisplay value of the user who last updated the sales agreement line adjustment. Matches **updated\\_by.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_updated\\_by.label\n\n</td><td>\n\nLabel of the user who last updated the sales agreement line adjustment.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_updated\\_by.name\n\n</td><td>\n\nName of the user who last updated the sales agreement line adjustment.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_updated\\_by.type\n\n</td><td>\n\nType of user who last updated the sales agreement line adjustment. Value is always `String`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_updated\\_by.value\n\n</td><td>\n\nValue of the user who last updated the sales agreement line adjustment.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_updated\\_on\n\n</td><td>\n\nDate and time when the sales agreement line adjustment was updated.Data type: Object\n\n```\n\"updated_on\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_updated\\_on.display\\_value\n\n</td><td>\n\nDisplay value of the date and time that the line adjustment was last updated. Matches **updated\\_on.value**.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_updated\\_on.label\n\n</td><td>\n\nLabel of the date and time that the line adjustment was last updated.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_updated\\_on.name\n\n</td><td>\n\nName of the date and time that the line adjustment was last updated.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_updated\\_on.type\n\n</td><td>\n\nType of date and time that the line adjustment was last updated. Value is always `glide_date_time`.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.sys\\_updated\\_on.value\n\n</td><td>\n\nValue of the date and time that the line adjustment was last updated.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.total\\_amount\n\n</td><td>\n\nTotal amount of the sales agreement line adjustment.Table: Sales Agreement Line Adjustments  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\_adjustment\\]\n\nData type: Object\n\n```\n\"total_amount\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.total\\_amount.display\\_value\n\n</td><td>\n\nDisplay value of the total adjustment amount. Matches **total\\_amount.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.total\\_amount.label\n\n</td><td>\n\nLabel of the total adjustment amount.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.total\\_amount.name\n\n</td><td>\n\nName of the total adjustment amount.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.total\\_amount.type\n\n</td><td>\n\nType of the total adjustment amount. Value is always `currency`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_adjustments.total\\_amount.value\n\n</td><td>\n\nValue of the total adjustment amount.Data type: String represented by a number \\(float\\)\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.child\\_sales\\_agreement\\_lines\n\n</td><td>\n\nList of sales agreement lines. Follows the same object structure as the **sales\\_agreement\\_lines** object parameter.Table: Sales Agreement Line  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\]\n\nData type: Array of objects\n\n```\n\"child_sales_agreement_lines\": [\n  {\n  \"end_date\": {Object},\n  \"number\": {Object},\n  \"parent_line\": {Object},\n  \"price_list\": {Object},\n  \"product_model\": {Object},\n  \"product_offering\": {Object},\n  \"product_specification\": {Object},\n  \"quantity\": {Object},\n  \"quote_line\": {Object},\n  \"sales_agreement\": {Object},\n  \"sales_agreement_line_adjustments\": [Array],\n  \"sales_agreement_line_characteristics\": [Array],\n  \"shipping_location\": {Object},\n  \"short_description\": {Object},\n  \"start_date\": {Object},\n  \"state\": {Object},\n  \"sys_id\": {Object},\n  \"sys_created_by\": {Object},\n  \"sys_created_on\": {Object},\n  \"sys_updated_by\": {Object},\n  \"sys_updated_on\": {Object},\n  \"top_sales_agreement_line\": {Object},\n  \"total_one_time_price\": {Object},\n  \"total_recurring_price\": {Object},\n  \"unit_net_price\": {Object},\n  \"unit_of_measure\": {Object}\n  }\n]\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.end\\_date\n\n</td><td>\n\nEnd date of the sales agreement line.Data type: Object\n\n```\n\"end_date\": {\n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\" \n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.end\\_date.display\\_value\n\n</td><td>\n\nDisplay value of the end date for the sales agreement line. Matches **end.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.end\\_date.label\n\n</td><td>\n\nLabel of the end date for the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.end\\_date.name\n\n</td><td>\n\nName of the end date for the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.end\\_date.type\n\n</td><td>\n\nType of end date for the sales agreement line. Value is always `glide_date_time`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.end\\_date.value\n\n</td><td>\n\nEnd date and time value of the sales agreement line.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.number\n\n</td><td>\n\nAutomatically generated sales agreement line number or the number posted .Table: Sales Agreement Line  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\]\n\nData type: Object\n\n```\n\"number\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.number.display\\_value\n\n</td><td>\n\nDisplay value of the sales agreement line number. For example, `SAL0010128`. Matches **number.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.number.label\n\n</td><td>\n\nLabel of the number.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.number.name\n\n</td><td>\n\nName of the number.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.number.type\n\n</td><td>\n\nType of number. Value is always `string`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.number.value\n\n</td><td>\n\nValue of the sales agreement line number. For example, `SAL0010128`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.parent\\_line\n\n</td><td>\n\nInformation about the parent sales agreement line.Table: Sales Agreement Line  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\]\n\nData type: Object\n\n```\n\"parent_line\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.parent\\_line.display\\_value\n\n</td><td>\n\nDisplay number of the parent sales agreement line. For example, `SAL0010126`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.parent\\_line.label\n\n</td><td>\n\nLabel of the parent sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.parent\\_line.name\n\n</td><td>\n\nName of the parent sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.parent\\_line.type\n\n</td><td>\n\nType of parent sales agreement line. Value is always `reference`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.parent\\_line.value\n\n</td><td>\n\nSys\\_id of the parent sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.price\\_list\n\n</td><td>\n\nPrice list details of the sales agreement line.Table: Sales Agreement Line  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\]\n\nData type: Object\n\n```\n\"price_list\": {\n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\" \n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.price\\_list.display\\_value\n\n</td><td>\n\nDisplay value of the sales agreement line's price list.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.price\\_list.label\n\n</td><td>\n\nLabel of the sales agreement line's price list.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.price\\_list.name\n\n</td><td>\n\nName of the sales agreement line's price list.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.price\\_list.type\n\n</td><td>\n\nType of sales agreement line's price list. Value is always `reference`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.price\\_list.value\n\n</td><td>\n\nSys\\_id of the price list associated with the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.product\\_model\n\n</td><td>\n\nDetails about the product model on the sales agreement line.Table: Product Model \\[cmdb\\_model\\]\n\nData type: Object\n\n```\n\"product_model\": {\n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\" \n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.product\\_model.display\\_value\n\n</td><td>\n\nDisplay value of the product model on the sales agreement line. Matches **product\\_model.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.product\\_model.label\n\n</td><td>\n\nLabel of the product model on the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.product\\_model.name\n\n</td><td>\n\nName of the product model on the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.product\\_model.type\n\n</td><td>\n\nType of product model on the sales agreement line. Value is always `reference`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.product\\_model.value\n\n</td><td>\n\nValue of the product model on the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.product\\_offering\n\n</td><td>\n\nDetails about the product offering on the sales agreement line.Table: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nData type: Object\n\n```\n\"product_offering\": {\n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\" \n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.product\\_offering.display\\_value\n\n</td><td>\n\nDisplay value of the product offering on the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.product\\_offering.label\n\n</td><td>\n\nLabel of the product offering on the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.product\\_offering.name\n\n</td><td>\n\nName of the product offering on the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.product\\_offering.type\n\n</td><td>\n\nType of product offering on the sales agreement line. Value is always `reference`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.product\\_offering.value\n\n</td><td>\n\nValue of the product offering on the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.product\\_specification\n\n</td><td>\n\nReference to product specification of the sales agreement line.Table: Sales Agreement Line  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\]\n\nData type: Object\n\n```\n\"product_offering\": {\n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\" \n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.product\\_specification.display\\_value\n\n</td><td>\n\nDisplay value of the product offering on the sales agreement line. Matches **product\\_specification.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.product\\_specification.label\n\n</td><td>\n\nLabel of the product specification on the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.product\\_specification.name\n\n</td><td>\n\nName of the product specification on the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.product\\_specification.type\n\n</td><td>\n\nType of product specification on the sales agreement line. Value is always `reference`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.product\\_specification.value\n\n</td><td>\n\nValue of the product specification on the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.quantity\n\n</td><td>\n\nNumber of products to add to the sales agreement line.Table: Sales Agreement Line  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\]\n\nData type: Object\n\n```\n\"quantity\": {\n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\" \n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.quantity.display\\_value\n\n</td><td>\n\nDisplay value of the product quantity on the sales agreement line. Matches **quantity.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.quantity.label\n\n</td><td>\n\nLabel of the product quantity on the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.quantity.name\n\n</td><td>\n\nName of the product quantity on the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.quantity.type\n\n</td><td>\n\nType of product quantity on the sales agreement line. Value is always `decimal`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.quantity.value\n\n</td><td>\n\nNumber of products on the sales agreement line. Data type: Number\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.quote\\_line\n\n</td><td>\n\nReference of the quote line item on the sales agreement line.Table: Quote Line \\[sn\\_quote\\_mgmt\\_core\\_quote\\_line\\_item\\]\n\nData type: Object\n\n```\n\"quote_line\": {\n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\" \n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.quote\\_line.display\\_value\n\n</td><td>\n\nDisplay value of the quote line item on the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.quote\\_line.label\n\n</td><td>\n\nLabel of the quote line item on the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.quote\\_line.name\n\n</td><td>\n\nName of the quote line item on the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.quote\\_line.type\n\n</td><td>\n\nType of quote line item on the sales agreement line. Value is always `reference`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.quote\\_line.value\n\n</td><td>\n\nValue of the quote line item on the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\n\n</td><td>\n\nReference to the sales agreement of the sales agreement line.Table: Sales Agreement Line  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\]\n\nData type: Object\n\n```\n\"sales_agreement\": {\n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\" \n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement.display\\_value\n\n</td><td>\n\nDisplay value of the sales agreement of the sales agreement line. For example, `SA0010106`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement.label\n\n</td><td>\n\nLabel of the sales agreement of the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement.name\n\n</td><td>\n\nName of the sales agreement of the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement.type\n\n</td><td>\n\nType of sales agreement of the sales agreement line. Value is always `reference`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement.value\n\n</td><td>\n\nSys\\_id of the sales agreement of the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics\n\n</td><td>\n\nList of sales agreement line characteristics.Table: Sales Agreement Line Characteristics \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\_characteristic\\]\n\nData type: Array of objects\n\n```\n\"sales_agreement_line_characteristics\": [\n {\n   \"characteristic\": {Object},\n   \"characteristic_option\": {Object},\n   \"sales_agreement\": {Object},\n   \"sales_agreement_line\": {Object},\n   \"sys_id\": {Object},\n   \"sys_created_by\": {Object},\n   \"sys_updated_by\": {Object},\n   \"sys_created_on\": {Object},\n   \"sys_updated_on\": {Object},\n   \"type\": {Object},\n   \"value\": {Object}\n  }\n]\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.characteristic\n\n</td><td>\n\nCharacteristic associated with the sales agreement line.Table: sn\\_prd\\_pm\\_characteristic\n\nData type: Object\n\n```\n\"characteristic\": {\n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\" \n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.characteristic.display\\_value\n\n</td><td>\n\nDisplay value of the characteristic on the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.characteristic.label\n\n</td><td>\n\nLabel of the characteristic on the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.characteristic.name\n\n</td><td>\n\nName of the characteristic on the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.characteristic.type\n\n</td><td>\n\nType of characteristic on the sales agreement line. Value is always `reference`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.characteristic.value\n\n</td><td>\n\nValue of the characteristic on the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.characteristic\\_option\n\n</td><td>\n\nInformation about the characteristic option on the sales agreement line.Table: Sales Agreement Line Characteristics \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\_characteristic\\]\n\nData type: Object\n\n```\n\"characteristic_option\": {\n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\" \n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.characteristic\\_option.display\\_value\n\n</td><td>\n\nDisplay value of the characteristic on the sales agreement line. Matches **characteristic\\_option.value**. Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.characteristic\\_option.label\n\n</td><td>\n\nLabel of the characteristic option on the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.characteristic\\_option.name\n\n</td><td>\n\nName of the characteristic option on the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.characteristic\\_option.type\n\n</td><td>\n\nType of characteristic option on the sales agreement line. Value is always `reference`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.characteristic\\_option.value\n\n</td><td>\n\nValue of the characteristic option on the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sales\\_agreement\n\n</td><td>\n\nDetails of the sales agreement characteristic on the sales agreement line.Table: Sales Agreement Line Characteristics \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\_characteristic\\]\n\nData type: Object\n\n```\n\"sales_agreement\": {\n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\" \n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sales\\_agreement.display\\_value\n\n</td><td>\n\nDisplay value of the sales agreement characteristic. Matches **sales\\_agreement.value**. Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sales\\_agreement.label\n\n</td><td>\n\nLabel of the sales agreement characteristic.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sales\\_agreement.name\n\n</td><td>\n\nName of the sales agreement characteristic.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sales\\_agreement.type\n\n</td><td>\n\nType of sales agreement characteristic. Value is always `reference`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sales\\_agreement.value\n\n</td><td>\n\nValue of the sales agreement characteristic.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sales\\_agreement\\_line\n\n</td><td>\n\nDetails about the characteristic of the sales agreement line.Table: Sales Agreement Line Characteristics \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\_characteristic\\]\n\nData type: Object\n\n```\n\"sales_agreement_line\": {\n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\" \n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sales\\_agreement\\_line.display\\_value\n\n</td><td>\n\nDisplay value of the characteristic of the sales agreement line. Matches **sales\\_agreement\\_line.value**. Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sales\\_agreement\\_line.label\n\n</td><td>\n\nCharacteristic label of the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sales\\_agreement\\_line.name\n\n</td><td>\n\nCharacteristic name of the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sales\\_agreement\\_line.type\n\n</td><td>\n\nCharacteristic type of the sales agreement line. Value is always `reference`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sales\\_agreement\\_line.value\n\n</td><td>\n\nCharacteristic value of the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_created\\_by\n\n</td><td>\n\nName of the user who created the sales agreement line characteristic.Table: User \\[user\\]\n\nData type: Object\n\n```\n\"sys_created_by\": {\n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_created\\_by.display\\_value\n\n</td><td>\n\nDisplay value of the Created by field. Matches **sys\\_created\\_by.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_created\\_by.label\n\n</td><td>\n\nLabel of the Created by field.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_created\\_by.name\n\n</td><td>\n\nName of the Created by field.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_created\\_by.type\n\n</td><td>\n\nType of the Created by field. Value is always `string`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_created\\_by.value\n\n</td><td>\n\nValue of the Created by field.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_created\\_on\n\n</td><td>\n\nDate and time the sales agreement line characteristic was created.Data type: Object\n\n```\n\"sys_created_on\": {\n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_created\\_on.display\\_value\n\n</td><td>\n\nDisplay value of the Created on field. Matches **sys\\_created\\_on.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_created\\_on.label\n\n</td><td>\n\nLabel of the Created on field.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_created\\_on.name\n\n</td><td>\n\nName of the Created on field.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_created\\_on.type\n\n</td><td>\n\nType of the Created on field. Value is always `glide_date_time`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_created\\_on.value\n\n</td><td>\n\nValue of the Created on field.Format: YYYY-DD-MM HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_id\n\n</td><td>\n\nSys\\_id of the sales agreement line characteristic.Table: Sales Agreement Line Characteristics \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\_characteristic\\]\n\nData type: Object\n\n```\n\"sys_id\": {\n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_id.display\\_value\n\n</td><td>\n\nDisplay value of the characteristic sys\\_id. Matches **sys\\_id.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_id.label\n\n</td><td>\n\nLabel of the characteristic sys\\_id.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_id.name\n\n</td><td>\n\nName of the characteristic sys\\_id.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_id.type\n\n</td><td>\n\nType of the characteristic sys\\_id. Value is always `string`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_id.id\n\n</td><td>\n\nValue of the characteristic sys\\_id.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_updated\\_by\n\n</td><td>\n\nName of the user who last updated the sales agreement line characteristic.Table: User \\[user\\]\n\nData type: Object\n\n```\n\"sys_updated_by\": {\n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_updated\\_by.display\\_value\n\n</td><td>\n\nDisplay value of the user who updated the characteristic of the sales agreement line item. Matches **sys\\_created\\_by.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_updated\\_by.label\n\n</td><td>\n\nLabel of the user who updated the characteristic.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_updated\\_by.name\n\n</td><td>\n\nName of the user who updated the characteristic.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_updated\\_by.type\n\n</td><td>\n\nType of the user who updated the characteristic. Value is always `string`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_updated\\_by.value\n\n</td><td>\n\nValue of user who updated the characteristic.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_updated\\_on\n\n</td><td>\n\nDate and time the sales agreement line characteristic was last updated.Data type: Object\n\n```\n\"sys_updated_on\": {\n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_updated\\_on.display\\_value\n\n</td><td>\n\nDisplay value of the updated date. Matches **updated\\_on.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_updated\\_on.label\n\n</td><td>\n\nLabel of the updated date.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_updated\\_on.name\n\n</td><td>\n\nName of the updated date.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_updated\\_on.type\n\n</td><td>\n\nType of the updated date. Value is always `glide_date_time`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.sys\\_updated\\_on.value\n\n</td><td>\n\nValue of the updated date.Format: YYYY-DD-MM HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.type\n\n</td><td>\n\nType of characteristic in the sales agreement line characteristic.Table: Sales Agreement Line Characteristics \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\_characteristic\\]\n\nData type: Object\n\n```\n\"type\": {\n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.type.display\\_value\n\n</td><td>\n\nDisplay value of the characteristic type. Matches **type.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.type.label\n\n</td><td>\n\nLabel of the characteristic type.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.type.name\n\n</td><td>\n\nName of the characteristic type.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.type.type\n\n</td><td>\n\nType of the characteristic type. Value is always `string`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.type.value\n\n</td><td>\n\nValue of the characteristic type.Possible values:\n\n-   coverage\n-   coverage and usage\n\nData type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.value\n\n</td><td>\n\nValue of the characteristic on the sales agreement line.Table: Sales Agreement Line Characteristics \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\_characteristic\\]\n\nData type: Object\n\n```\n\"type\": {\n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.value.display\\_value\n\n</td><td>\n\nDisplay value of the characteristic. Matches **type.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.value.label\n\n</td><td>\n\nLabel of the characteristic value.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.value.name\n\n</td><td>\n\nName of the characteristic value.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.value.type\n\n</td><td>\n\nType of the characteristic value. Value is always `string`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sales\\_agreement\\_line\\_characteristics.value.value\n\n</td><td>\n\nValue of the characteristic.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.short\\_description\n\n</td><td>\n\nBrief details describing the sales agreement line.Table: Sales Agreement Line  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\]\n\nData type: Object\n\n```\n\"short_description\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\" \n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.short\\_description.display\\_value\n\n</td><td>\n\nDisplay value of the short description. Matches **short\\_description.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.short\\_description.label\n\n</td><td>\n\nLabel of the short description.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.short\\_description.name\n\n</td><td>\n\nName of the short description.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.short\\_description.type\n\n</td><td>\n\nType of short description. Always of type `string`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.short\\_description.value\n\n</td><td>\n\nValue of the short description.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.start\\_date\n\n</td><td>\n\nStart date of the sales agreement line.Data type: Object\n\n```\n\"start_date\": {\n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.start\\_date.display\\_value\n\n</td><td>\n\nDisplay value of the sales agreement line's start date. Matches **start\\_date.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.start\\_date.label\n\n</td><td>\n\nLabel of the sales agreement line's start date.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.start\\_date.name\n\n</td><td>\n\nName of the sales agreement line's start date.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.start\\_date.type\n\n</td><td>\n\nType of sales agreement line's start date. Value is always `glide_date_time`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.start\\_date.value\n\n</td><td>\n\nValue of the sales agreement line's start date.Format: YYYY-MM-DD\n\nData type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.state\n\n</td><td>\n\nValid state of the sales agreement line.Table: Sales Agreement Line  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\]\n\nData type: Object\n\n```\n\"state\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\" \n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.state.display\\_value\n\n</td><td>\n\nDisplay value of the state. Matches **state.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.state.label\n\n</td><td>\n\nLabel of the state.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.state.name\n\n</td><td>\n\nName of the state.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.state.type\n\n</td><td>\n\nType of state. Value is always `string`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.state.value\n\n</td><td>\n\nValue of the state.Possible values:\n\n-   pending\\_activation\n-   suspended\n-   active\n-   expired\n-   cancelled\n\nData type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_created\\_by\n\n</td><td>\n\nName of the user who created the sales agreement line.Table: User \\[user\\]\n\nData type: Object\n\n```\n\"sys_created_by\": {\n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_created\\_by.display\\_value\n\n</td><td>\n\nDisplay value of the user who created the sales agreement line. Matches **sys\\_created\\_by.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_created\\_by.label\n\n</td><td>\n\nLabel of the user who created the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_created\\_by.name\n\n</td><td>\n\nName of the user who created the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_created\\_by.type\n\n</td><td>\n\nType of the Created by field. Value is always `string`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_created\\_by.value\n\n</td><td>\n\nValue of the user who created the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_created\\_on\n\n</td><td>\n\nDate and time the sales agreement line record was created.Data type: Object\n\n```\n\"sys_created_on\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_created\\_on.display\\_value\n\n</td><td>\n\nDisplay value of the creation date of the sales agreement line record. Matches **sys\\_created\\_on.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_created\\_on.label\n\n</td><td>\n\nLabel of the creation date of the sales agreement line record.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_created\\_on.name\n\n</td><td>\n\nName of the creation date of the sales agreement line record.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_created\\_on.type\n\n</td><td>\n\nType of the creation date of the sales agreement line record. Value is always `glide_date_time`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_created\\_on.value\n\n</td><td>\n\nValue of the creation date of the sales agreement line record.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_id\n\n</td><td>\n\nSys\\_id of the sales agreement line record .Table: Sales Agreement Line  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\]\n\nData type: Object\n\n```\n\"sys_id\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\" \n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_id.displayValue\n\n</td><td>\n\nDisplay value of the sys\\_id of the sales agreement line record . Matches **sys\\_id.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_id.label\n\n</td><td>\n\nAutomatically-generated name or label of the sales agreement line record  sys\\_id.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_id.type\n\n</td><td>\n\nType of sys\\_id of the sales agreement line record . Value is always `string`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_id.value\n\n</td><td>\n\nSys\\_id number assigned to the sales agreement line record .Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_updated\\_by\n\n</td><td>\n\nName of the user who last updated the sales agreement line.Table: User \\[user\\]\n\nData type: Object\n\n```\n\"sys_updated_by\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_updated\\_by.display\\_value\n\n</td><td>\n\nDisplay value of the user who updated the sales agreement line. Matches **sys\\_updated\\_by.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_updated\\_by.label\n\n</td><td>\n\nLabel of the user who updated the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_updated\\_by.name\n\n</td><td>\n\nName of the user who updated the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_updated\\_by.type\n\n</td><td>\n\nType of the user who updated the sales agreement line. Value is always `string`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_updated\\_by.value\n\n</td><td>\n\nValue of the user who updated the sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_updated\\_on\n\n</td><td>\n\nDate and time the sales agreement line record was last updated.Data type: Object\n\n```\n\"sys_updated_on\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_updated\\_on.display\\_value\n\n</td><td>\n\nThe display value of the updated date and time on the sales agreement line. Matches **sys\\_updated\\_on.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_updated\\_on.label\n\n</td><td>\n\nLabel of the updated date and time on the sales agreement lineData type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_updated\\_on.name\n\n</td><td>\n\nName of the updated date and time on the sales agreement lineData type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_updated\\_on.type\n\n</td><td>\n\nType of the updated date and time on the sales agreement line. Value is always `glide_date_time`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.sys\\_updated\\_on.value\n\n</td><td>\n\nValue of the updated date and time on the sales agreement lineFormat: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.top\\_sales\\_agreement\\_line\n\n</td><td>\n\nInformation about the top sales agreement line.Table: Sales Agreement Line  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\]\n\nData type: Object\n\n```\n\"top_sales_agreement_line\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.top\\_sales\\_agreement\\_line.display\\_value\n\n</td><td>\n\nDisplay value of the top sales agreement line. Matches **top\\_sales\\_agreement\\_line.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.top\\_sales\\_agreement\\_line.label\n\n</td><td>\n\nLabel of the top sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.top\\_sales\\_agreement\\_line.name\n\n</td><td>\n\nName the top sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.top\\_sales\\_agreement\\_line.type\n\n</td><td>\n\nType of the top sales agreement line. Value is always `reference`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.top\\_sales\\_agreement\\_line.value\n\n</td><td>\n\nValue of the top sales agreement line.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.total\\_one\\_time\\_price\n\n</td><td>\n\nTotal one-time charges to be paid for the product or service.Table: Sales Agreement Line  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\]\n\nData type: Object\n\n```\n\"total_one_time_price\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.total\\_one\\_time\\_price.display\\_value\n\n</td><td>\n\nDisplay value of the total one time price. Matches **total\\_one\\_time\\_price.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.total\\_one\\_time\\_price.label\n\n</td><td>\n\nLabel of the total one time price.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.total\\_one\\_time\\_price.name\n\n</td><td>\n\nName of the total one time price.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.total\\_one\\_time\\_price.type\n\n</td><td>\n\nType of the total one time price. Value is always `decimal`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.total\\_one\\_time\\_price.value\n\n</td><td>\n\nValue of the total one time price.Data type: String represented as a number \\(currency\\)\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.total\\_recurring\\_price\n\n</td><td>\n\nTotal recurring price for the product associated with the sales agreement line.Table: Sales Agreement Line  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\]\n\nData type: Object\n\n```\n\"total_recurring_price\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.total\\_recurring\\_price.display\\_value\n\n</td><td>\n\nDisplay value of the total one time price. Matches **total\\_recurring\\_price.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.total\\_recurring\\_price.label\n\n</td><td>\n\nLabel of the total recurring price.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.total\\_recurring\\_price.name\n\n</td><td>\n\nName of the total recurring price.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.total\\_recurring\\_price.type\n\n</td><td>\n\nType of the total recurring price. Value is always `decimal`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.total\\_recurring\\_price.value\n\n</td><td>\n\nValue of the total recurring price.Data type: String represented as a number \\(currency\\)\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.unit\\_net\\_price\n\n</td><td>\n\nThe price for each unit within the sales agreement line.Table: Sales Agreement Line  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\_line\\]\n\nData type: Object\n\n```\n\"unit_net_price\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.unit\\_net\\_price\n\n</td><td>\n\nDisplay value of the unit net price. Matches **unit\\_net\\_price.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.unit\\_net\\_price\n\n</td><td>\n\nLabel of the unit net price.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.unit\\_net\\_price\n\n</td><td>\n\nName of the unit net price.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.unit\\_net\\_price\n\n</td><td>\n\nType of the unit net price. Value is always `decimal`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.unit\\_net\\_price\n\n</td><td>\n\nValue of the unit net price.Data type: String represented as a number \\(currency\\)\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.unit\\_of\\_measurement\n\n</td><td>\n\nUnit of measurement of the sales agreement line.Table: Unit of measures \\[sn\\_prd\\_pm\\_uom\\_list\\]\n\nData type: Object\n\n```\n\"unit_of_measurement\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.unit\\_of\\_measurement.display\\_value\n\n</td><td>\n\nDisplay value of the unit of measurement. Matches **unit\\_of\\_measurement.value**.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.unit\\_of\\_measurement.label\n\n</td><td>\n\nLabel of the unit of measurement.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.unit\\_of\\_measurement.name\n\n</td><td>\n\nName of the unit of measurement.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.unit\\_of\\_measurement.type\n\n</td><td>\n\nType of the unit of measurement. Value is always `reference`.Data type: String\n\n</td></tr><tr><td>\n\nsales\\_agreement\\_lines.unit\\_of\\_measurement.value\n\n</td><td>\n\nValue of the unit of measurement. For example, `bundle` or `each`.Data type: String\n\n</td></tr><tr><td>\n\nshipping\\_location\n\n</td><td>\n\nShipping address details on the sales agreement.Table: Location \\[location\\]\n\nData type: Object\n\n```\n\"unit_of_measure\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nshipping\\_location.display\\_value\n\n</td><td>\n\nDisplay value of the shipping location.Data type: String\n\n</td></tr><tr><td>\n\nshipping\\_location.label\n\n</td><td>\n\nLabel of the shipping location.Data type: String\n\n</td></tr><tr><td>\n\nshipping\\_location.name\n\n</td><td>\n\nName of the shipping location.Data type: String\n\n</td></tr><tr><td>\n\nshipping\\_location.type\n\n</td><td>\n\nType of shipping location. Value is always `reference`.Data type: String\n\n</td></tr><tr><td>\n\nshipping\\_location.value\n\n</td><td>\n\nValue of the shipping location. For example, an address.Data type: String\n\n</td></tr><tr><td>\n\nshort\\_description\n\n</td><td>\n\nBrief details describing the sales agreement.Table: Sales Agreement  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\]\n\nData type: Object\n\n```\n\"short_description\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\" \n}\n```\n\n</td></tr><tr><td>\n\nshort\\_description.display\\_value\n\n</td><td>\n\nDisplay value of the short description. Matches **short\\_description.value**.Data type: String\n\n</td></tr><tr><td>\n\nshort\\_description.label\n\n</td><td>\n\nLabel of the short description.Data type: String\n\n</td></tr><tr><td>\n\nshort\\_description.name\n\n</td><td>\n\nName of the short description.Data type: String\n\n</td></tr><tr><td>\n\nshort\\_description.type\n\n</td><td>\n\nType of short description. Always of type `string`.Data type: String\n\n</td></tr><tr><td>\n\nshort\\_description.value\n\n</td><td>\n\nValue of the short description.Data type: String\n\n</td></tr><tr><td>\n\nstarts\n\n</td><td>\n\nStart date of the sales agreement.Data type: Object\n\n```\n\"starts\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nstarts.display\\_value\n\n</td><td>\n\nDisplay value of the start date. Matches **start.value**.Data type: String\n\n</td></tr><tr><td>\n\nstarts.label\n\n</td><td>\n\nLabel of the start date.Data type: String\n\n</td></tr><tr><td>\n\nstarts.name\n\n</td><td>\n\nName of the start date.Data type: String\n\n</td></tr><tr><td>\n\nstarts.type\n\n</td><td>\n\nType of start date. Value is always `glide_date_time`Data type: String\n\n</td></tr><tr><td>\n\nstarts.value\n\n</td><td>\n\nValue of the start date.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nState of the sales agreement.Table: Sales Agreement  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\]\n\nData type: Object\n\n```\n\"state\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\" \n}\n```\n\n</td></tr><tr><td>\n\nstate.display\\_value\n\n</td><td>\n\nDisplay value of the state. Matches **state.value**.Data type: String\n\n</td></tr><tr><td>\n\nstate.lable\n\n</td><td>\n\nLabel of the state.Data type: String\n\n</td></tr><tr><td>\n\nstate.name\n\n</td><td>\n\nName of the state.Data type: String\n\n</td></tr><tr><td>\n\nstate.type\n\n</td><td>\n\nType of state. Value is always `string`.Data type: String\n\n</td></tr><tr><td>\n\nstate.value\n\n</td><td>\n\nValue of the state.Possible values:\n\n-   active\n-   cancelled\n-   draft\n-   expired\n\nData type: String\n\n</td></tr><tr><td>\n\nsys\\_created\\_by\n\n</td><td>\n\nName of the user who created the sales agreement.Table: User \\[user\\]\n\nData type: Object\n\n```\n\"sys_created_by\": {\n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsys\\_created\\_by.display\\_value\n\n</td><td>\n\nDisplay value of the user who created the sales agreement. Matches **sys\\_created\\_by.value**.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_created\\_by.label\n\n</td><td>\n\nLabel of the user who created the sales agreement.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_created\\_by.name\n\n</td><td>\n\nName of the user who created the sales agreement.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_created\\_by.type\n\n</td><td>\n\nType of the user who created the sales agreement. Value is always `string`.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_created\\_by.value\n\n</td><td>\n\nValue of the user who created the sales agreement.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_created\\_on\n\n</td><td>\n\nDetails about the date and time that the sales agreement was created.Data type: Object\n\n```\n\"sys_created_on\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsys\\_created\\_on.display\\_value\n\n</td><td>\n\nDisplay value of the creation date and time. Matches **sys\\_created\\_on.value**.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_created\\_on.label\n\n</td><td>\n\nLabel of the creation date and time.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_created\\_on.name\n\n</td><td>\n\nName of the creation date and time.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_created\\_on.type\n\n</td><td>\n\nType of the creation date and time. Value is always `string`.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_created\\_on.value\n\n</td><td>\n\nValue of the creation date and time.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id   of the newly created sales agreement.Table: Sales Agreement  \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\]\n\nData type: Object\n\n```\n\"sys_id\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\" \n}\n```\n\n</td></tr><tr><td>\n\nsys\\_id.displayValue\n\n</td><td>\n\nDisplay value of the unique sys\\_id value. Matches **sys\\_id.value**.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id.label\n\n</td><td>\n\nAutomatically generated name or label of the sys\\_id.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id.type\n\n</td><td>\n\nType of sys\\_id given to the sales agreement. Value is always `GUID`.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id.value\n\n</td><td>\n\nSys\\_id number assigned to the new sales agreement.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_updated\\_by\n\n</td><td>\n\nName of the user who last updated the sales agreement.Table: User \\[user\\]\n\nData type: Object\n\n```\n\"sys_updated_by\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsys\\_updated\\_by.display\\_value\n\n</td><td>\n\nDisplay value of the user who updated the sales agreement. Matches **sys\\_updated\\_by.value**.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_updated\\_by.label\n\n</td><td>\n\nLabel of the user who updated the sales agreement.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_updated\\_by.name\n\n</td><td>\n\nName of the user who updated the sales agreement.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_updated\\_by.type\n\n</td><td>\n\nType of the user who updated the sales agreement. Value is always `string`.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_updated\\_by.value\n\n</td><td>\n\nValue of the user who updated the sales agreement.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_updated\\_on\n\n</td><td>\n\nDetails about the date and time that the sales agreement was updated.Data type: Object\n\n```\n\"sys_updated_on\": { \n  \"display_value\": \"String\",\n  \"label\": \"String\",\n  \"name\": \"String\",\n  \"type\": \"String\",\n  \"value\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nsys\\_updated\\_on.display\\_value\n\n</td><td>\n\nDate and time value of the updated sales agreement. Matches **sys\\_updated\\_on.value**.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr><tr><td>\n\nsys\\_updated\\_on.label\n\n</td><td>\n\nLabel of the updated sales agreement.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_updated\\_on.name\n\n</td><td>\n\nName of the updated sales agreement.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_updated\\_on.type\n\n</td><td>\n\nType of the updated sales agreement. Value is always `glide_date_time`.Data type: String\n\n</td></tr><tr><td>\n\nsys\\_updated\\_on.value\n\n</td><td>\n\nDate and time value of the updated sales agreement.Format: YYYY-MM-DD HH:mm:ss\n\nData type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following example returns the sales agreement information associated with the given sys\\_id and the optional **display\\_value** parameter set to `true` so that display values are provided in the response body.\n\n```\n\ncurl \"https://instance.service-now.com/api/sn_sales_agmt_core/v1/salesagreement/eb853fe5b5165610f87786d3c2884335?display_value=true\" \\\n--request POST \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\" \\\n```\n\nResponse body. The response shows the display\\_values for every parameter of the given sales agreement.\n\n```\n{\n  \"result\": {\n    \"sys_id\": {\n      \"display_value\": \"eb853fe5b5165610f87786d3c2884335\"\n    },\n    \"sys_created_by\": {\n      \"display_value\": \"maint\"\n    },\n    \"sys_updated_by\": {\n      \"display_value\": \"maint\"\n    },\n    \"sys_created_on\": {\n      \"display_value\": \"2024-12-05 22:43:51\"\n    },\n    \"sys_updated_on\": {\n      \"display_value\": \"2024-12-05 22:43:51\"\n    },\n    \"account\": {\n      \"display_value\": \"Boxeo\"\n    },\n    \"consumer\": {\n      \"display_value\": \"\"\n    },\n    \"number\": {\n      \"display_value\": \"SA0010004\"\n    },\n    \"state\": {\n      \"display_value\": \"Active\"\n    },\n    \"starts\": {\n      \"display_value\": \"2024-01-01\"\n    },\n    \"ends\": {\n      \"display_value\": \"2024-12-31\"\n    },\n    \"short_description\": {\n      \"display_value\": \"This is a Sa created by API\"\n    },\n    \"currency\": {\n      \"display_value\": \"USD\"\n    },\n    \"default_price_list\": {\n      \"display_value\": \"SA Price List\"\n    },\n    \"billing_location\": {\n      \"display_value\": \"100 South Charles Street, Baltimore,MD\"\
[...]
